#include <stdio.h>

#define N 7

int negyzet[N][N];

void lepes(int *s, int *o)
{
	*s -= 1;
	if (*s < 0)
		*s = N-1;
	*o -= 1;
	if (*o < 0)
		*o = N-1;
}

void kitolt()
{
	int i;
	int sor,oszl;
	sor = 0;
	oszl = (N-1) /2;
	for (i=0;i<N*N;i++)
	{
		negyzet[sor][oszl] = i+1;
		if ( (i+1) % N == 0)
			sor++;
		else
			lepes(&sor,&oszl);
	}
}

void main(void)
{
	int i,j;
	kitolt();
	for (i=0; i<N; i++)
	{
		for (j=0; j<N; j++)
			printf("%3d,",negyzet[i][j]);
		printf("\n");
	}
}